Package org.eclipse.rdf4j.spring.dao.exception

## Class IncorrectResultSetSizeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.eclipse.rdf4j.common.exception.RDF4JException
        - - org.eclipse.rdf4j.spring.dao.exception.RDF4JSpringException
          - - org.eclipse.rdf4j.spring.dao.exception.RDF4JDaoException
            - - org.eclipse.rdf4j.spring.dao.exception.IncorrectResultSetSizeException

- All Implemented Interfaces:
    `Serializable`

      public class IncorrectResultSetSizeException
      extends RDF4JDaoException

  Since:
    4.0.0
  Author:
    Florian Kleedorfer
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `IncorrectResultSetSizeException​(int expectedSize, int actualSize)` |
    `IncorrectResultSetSizeException​(String message, int expectedSize, int actualSize)` |
    `IncorrectResultSetSizeException​(String message, Throwable cause, int expectedSize, int actualSize)` |
    `IncorrectResultSetSizeException​(Throwable cause, int expectedSize, int actualSize)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getActualSize()` |
    `int` | `getExpectedSize()` |

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IncorrectResultSetSizeException

          public IncorrectResultSetSizeException​(int expectedSize,
                                                 int actualSize)

    - #### IncorrectResultSetSizeException

          public IncorrectResultSetSizeException​(String message,
                                                 int expectedSize,
                                                 int actualSize)

    - #### IncorrectResultSetSizeException

          public IncorrectResultSetSizeException​(String message,
                                                 Throwable cause,
                                                 int expectedSize,
                                                 int actualSize)

    - #### IncorrectResultSetSizeException

          public IncorrectResultSetSizeException​(Throwable cause,
                                                 int expectedSize,
                                                 int actualSize)

  - ### Method Detail

    - #### getExpectedSize

          public int getExpectedSize()

    - #### getActualSize

          public int getActualSize()